curl https://api.notvis.com/v1/sms/messages/7c9e6679-7425-40de-944b-e07fc1f90ae7 \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch(
'https://api.notvis.com/v1/sms/messages/7c9e6679-7425-40de-944b-e07fc1f90ae7',
{ headers: { 'Authorization': 'Bearer nc_live_your_api_key' } }
);
const message = await response.json();
console.log(message.status);
import requests
response = requests.get(
'https://api.notvis.com/v1/sms/messages/7c9e6679-7425-40de-944b-e07fc1f90ae7',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
print(response.json()['status'])
{
"message_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"account_id": "acc_123",
"to": "+919876543210",
"from": "NOTVIS",
"dlt_template_id": "1107161234567890",
"dlt_entity_id": "1101234567890",
"variables": { "1": "123456", "2": "10 minutes" },
"callback_url": "https://example.com/webhooks/sms",
"tags": ["otp"],
"metadata": { "user_id": "usr_123" },
"status": "delivered",
"created_at": "2026-07-12T10:00:00Z"
}
{
"code": 404,
"message": "message not found"
}
SMS
Get SMS
Retrieve the status and details of an SMS message.
GET
/
v1
/
sms
/
messages
/
{message_id}
curl https://api.notvis.com/v1/sms/messages/7c9e6679-7425-40de-944b-e07fc1f90ae7 \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch(
'https://api.notvis.com/v1/sms/messages/7c9e6679-7425-40de-944b-e07fc1f90ae7',
{ headers: { 'Authorization': 'Bearer nc_live_your_api_key' } }
);
const message = await response.json();
console.log(message.status);
import requests
response = requests.get(
'https://api.notvis.com/v1/sms/messages/7c9e6679-7425-40de-944b-e07fc1f90ae7',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
print(response.json()['status'])
{
"message_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"account_id": "acc_123",
"to": "+919876543210",
"from": "NOTVIS",
"dlt_template_id": "1107161234567890",
"dlt_entity_id": "1101234567890",
"variables": { "1": "123456", "2": "10 minutes" },
"callback_url": "https://example.com/webhooks/sms",
"tags": ["otp"],
"metadata": { "user_id": "usr_123" },
"status": "delivered",
"created_at": "2026-07-12T10:00:00Z"
}
{
"code": 404,
"message": "message not found"
}
Request Headers
string
required
Bearer token. Format:
Bearer nc_live_your_api_keyPath Parameters
string
required
The unique message ID returned when the SMS was sent.
Response
string
Unique message identifier.
string
Your account ID.
string
Recipient phone number in E.164 format.
string
Sender ID used for this message.
string
Notvis template ID, if used.
string
DLT template ID, if used.
string
DLT entity ID, if used.
object
Template variables used.
string
Delivery webhook URL, if set.
string[]
Tags attached to this message.
object
Custom metadata attached to this message.
string
Current status. One of:
queued, scheduled, sending, sent, delivered, failed, undelivered, expired.string
ISO 8601 timestamp of when the message was created.
Message data is available for 7 days after creation. After that, the message expires from the cache.
curl https://api.notvis.com/v1/sms/messages/7c9e6679-7425-40de-944b-e07fc1f90ae7 \
-H "Authorization: Bearer nc_live_your_api_key"
const response = await fetch(
'https://api.notvis.com/v1/sms/messages/7c9e6679-7425-40de-944b-e07fc1f90ae7',
{ headers: { 'Authorization': 'Bearer nc_live_your_api_key' } }
);
const message = await response.json();
console.log(message.status);
import requests
response = requests.get(
'https://api.notvis.com/v1/sms/messages/7c9e6679-7425-40de-944b-e07fc1f90ae7',
headers={'Authorization': 'Bearer nc_live_your_api_key'},
)
print(response.json()['status'])
{
"message_id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
"account_id": "acc_123",
"to": "+919876543210",
"from": "NOTVIS",
"dlt_template_id": "1107161234567890",
"dlt_entity_id": "1101234567890",
"variables": { "1": "123456", "2": "10 minutes" },
"callback_url": "https://example.com/webhooks/sms",
"tags": ["otp"],
"metadata": { "user_id": "usr_123" },
"status": "delivered",
"created_at": "2026-07-12T10:00:00Z"
}
{
"code": 404,
"message": "message not found"
}